summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 219e2d17..ad95356c 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -464,6 +464,12 @@ download_sources() {
continue
fi
+ # if we get here, check to make sure it was a URL, else fail
+ if [ "$file" = "$netfile" ]; then
+ error "$(gettext "%s was not found in the build directory and is not a URL.")" "$netfile"
+ exit 1 # $E_MISSING_FILE
+ fi
+
# find the client we should use for this URL
local dlclient=$(get_downloadclient $netfile) || exit $?